import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';


import { AppComponent } from './app.component';
import { LauncherComponent, DialogPlaceholder } from './launcher/launcher.component';
import { JoblistComponent } from './joblist/joblist.component';
import { MatButtonModule } from '@angular/material';
import { MatFormFieldModule } from '@angular/material';
import { MatOptionModule } from '@angular/material';
import { MatInputModule } from '@angular/material';
import { MatSelectModule } from '@angular/material';
import { MatListModule} from '@angular/material';
import { MatTableModule } from '@angular/material/table';
import { MatCardModule } from '@angular/material';
import { MatToolbarModule } from '@angular/material';
import { MatDialogModule, MatDialog } from '@angular/material';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { ComputesitesService } from './computesites.service';
import { StrudelappsService } from './strudelapps.service';
import { TesService} from './tes.service';
import { FormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { JobComponent } from './job/job.component';
import { SiteselectionComponent } from './siteselection/siteselection.component';
import { TeserrorsComponent } from './teserrors/teserrors.component';
import { AppRoutingModule } from './/app-routing.module';
import { TokenextractorComponent } from './tokenextractor/tokenextractor.component';



@NgModule({
  declarations: [
    AppComponent,
    LauncherComponent,
    JoblistComponent,
    JobComponent,
    SiteselectionComponent,
    TeserrorsComponent,
    DialogPlaceholder,
    TokenextractorComponent
  ],
  imports: [
  BrowserModule,
  MatButtonModule,
  MatFormFieldModule,
  MatOptionModule,
  MatInputModule,
  MatSelectModule,
  MatListModule,
  MatTableModule,
  MatCardModule,
  MatToolbarModule,
  MatDialogModule,
  MatProgressSpinnerModule,
  NoopAnimationsModule,
  FormsModule,
  HttpClientModule,
  AppRoutingModule,

  ],
  entryComponents: [ DialogPlaceholder ],
  providers: [ StrudelappsService, ComputesitesService, TesService, MatDialog],
  bootstrap: [AppComponent]
})
export class AppModule { }
